Pular para o conteúdo

/api/v1/datagrid-rows/{id} (GET)

GET
/api/v1/datagrid-rows/{id}
curl --request GET \
--url https://api.endless.zaia.app/api/v1/datagrid-rows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Retrieves a datagrid row.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Retrieves a datagrid row.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
datagridId
required

A UUID v4 string that identifies an entity.

string format: uuid
position
required
integer
datagridValues
required
Array<object>
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
datagridColumnId
required

A UUID v4 string that identifies an entity.

string format: uuid
datagridId
required

A UUID v4 string that identifies an entity.

string format: uuid
datagridRowId
required

A UUID v4 string that identifies an entity.

string format: uuid
detail
required
Any of:
object
type
required
string
Allowed values: string
value
required
string
nullable <= 1000 characters
Example
{
"datagridValues": [
{
"detail": {
"type": "string"
}
}
]
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Datagrid row not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}